package com.ruoyi.tc.entity.response;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * @author dong
 * @since 2025/1/13 16:49
 */
@Data
@Api("资产提交响应类")
public class AssetzcTjResponse {

    @ApiModelProperty("系统名称")
    private String xtmc;

    @ApiModelProperty("提交时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


    @ApiModelProperty("提交状态")
    private Integer status;

    @ApiModelProperty("历史id")
    private Long id;

}
