package com.ruoyi.tc.historyService.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.history.AssetAppHistory;
import com.ruoyi.tc.entity.request.AssetzcTjRequest;
import com.ruoyi.tc.entity.response.AssetzcTjResponse;
import com.ruoyi.tc.historyService.AssetAppHistoryService;
import com.ruoyi.tc.mapper.history.AssetAppHistoryMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 资产移动应用程序表(asset_app_history)表服务实现类
 *
 * @author makejava
 * @since 2024-11-28 17:13:07
 */
@Service
public class AssetAppHistoryServiceImpl extends ServiceImpl<AssetAppHistoryMapper, AssetAppHistory> implements AssetAppHistoryService {

    @Resource
    private AssetAppHistoryMapper assetAppHistoryMapper;

    @Override
    public List<AssetzcTjResponse> findByTaskIdandAssetId(AssetzcTjRequest req) {
        return assetAppHistoryMapper.findByTaskIdandAssetId(req);
    }
}
