package com.ruoyi.tc.historyService.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.history.AssetCurrentHistory;
import com.ruoyi.tc.entity.request.AssetzcTjRequest;
import com.ruoyi.tc.entity.response.AssetzcTjResponse;
import com.ruoyi.tc.historyService.AssetCurrentHistoryService;
import com.ruoyi.tc.mapper.history.AssetCurrentHistoryMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 现有资产复制表(asset_current_history)表服务实现类
 *
 * @author makejava
 * @since 2024-11-15 10:04:03
 */
@Service
public class AssetCurrentHistoryServiceImpl extends ServiceImpl<AssetCurrentHistoryMapper, AssetCurrentHistory> implements AssetCurrentHistoryService {


    @Resource
    private AssetCurrentHistoryMapper assetCurrentHistoryMapper;

    @Override
    public List<AssetzcTjResponse> findByTaskIdandAssetId(AssetzcTjRequest req) {
        return assetCurrentHistoryMapper.findByTaskIdandAssetId(req);
    }
}

