package com.ruoyi.tc.historyService.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.history.AssetEmailHistory;
import com.ruoyi.tc.entity.request.AssetzcTjRequest;
import com.ruoyi.tc.entity.response.AssetzcTjResponse;
import com.ruoyi.tc.historyService.AssetEmailHistoryService;
import com.ruoyi.tc.mapper.history.AssetEmailHistoryMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 电子邮件资产表(asset_email_history)表服务实现类
 *
 * @author makejava
 * @since 2024-11-28 17:13:07
 */
@Service
public class AssetEmailHistoryServiceImpl extends ServiceImpl<AssetEmailHistoryMapper, AssetEmailHistory> implements AssetEmailHistoryService {
    @Resource
    private AssetEmailHistoryMapper assetEmailHistoryMapper;

    @Override
    public List<AssetzcTjResponse> findByTaskIdandAssetId(AssetzcTjRequest req) {
        return assetEmailHistoryMapper.findByTaskIdandAssetId(req);
    }
}
