package com.ruoyi.tc.entity.response;

import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author dong
 * @since 2024/11/21 18:36
 */
@Data
@ApiModel("核查单位信息响应类")
public class AssetdwHcResponse {


    /**
     * 单位名称
     */
    @Excel(name = "单位名称")
    @ApiModelProperty("单位名称")
    private String dwmc;




    /**
     * 核查资产数量
     */
    @Excel(name = "核查资产数量")
    @ApiModelProperty("核查资产数量")
    private Integer total;


    /**
     * 完成数量
     */
    @Excel(name = "完成数量")
    @ApiModelProperty("完成数量")
    private Integer checked;
    /**
     * 待核查
     */
    @Excel(name = "待核查数量")
    @ApiModelProperty("待核查数量")
    private Integer notChecked;

    /**
     * 待审批
     */
    @Excel(name = "待审批数量")
    @ApiModelProperty("待审批数量")
    private Integer dsp;
    /**
     * 完成状态
     */
    @Excel(name = "完成状态",readConverterExp = "1=进行中,2=正常完成,3=超期完成")
    private Integer taskStatus;



    /**
     * 审核退回次数
     */
    @Excel(name = "审核退回次数")
    @ApiModelProperty("审核退回次数")
    private Integer shthcs;


    /**
     * 百分比
     */
    @Excel(name = "完成比例")
    @ApiModelProperty("完成比例")
    private String checkedRatio;

}
