package com.ruoyi.tc.mapper.history;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.tc.entity.history.AssetMiniProgramsHistory;
import com.ruoyi.tc.entity.request.AssetzcTjRequest;
import com.ruoyi.tc.entity.response.AssetzcTjResponse;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 小程序资产表(asset_mini_programs_history)表数据库访问层
 *
 * @author makejava
 * @since 2024-11-15 10:03:56
 */
public interface AssetMiniProgramsHistoryMapper extends BaseMapper<AssetMiniProgramsHistory> {


    /**
     * 小程序资产提交记录
     *
     * @param req
     * @return
     */
    @Select("select xcxmc as xtmc,update_time as updateTime,status,mini_id as id from  asset_mini_programs_history where task_id= #{req.taskId} and asset_id =#{req.assetId} and status!=0")
    List<AssetzcTjResponse> findByTaskIdandAssetId(@Param("req") AssetzcTjRequest req);
}

