package com.ruoyi.tc.zztbService.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.po.AssetAppJyPo;
import com.ruoyi.tc.entity.request.AssetAuditPageRequest;
import com.ruoyi.tc.entity.zztb.AssetAppZztbPo;
import com.ruoyi.tc.mapper.zztb.AssetAppZztbMapper;
import com.ruoyi.tc.zztbService.AssetAppZztbService;
import org.springframework.stereotype.Service;

/**
 * 资产移动应用程序表(asset_app_cp_zztb)表服务实现类
 *
 * @author makejava
 * @since 2024-11-28 17:13:07
 */
@Service("assetAppZztbService")
public class AssetAppZztbServiceImpl extends ServiceImpl<AssetAppZztbMapper, AssetAppZztbPo> implements AssetAppZztbService {




    /**
     * 分页查询管理端或者单位端审核列表
     *
     * @param as 查询实体
     * @return 所有数据
     */
    @Override
    public Page<AssetAppZztbPo> getAuditList(Page<AssetAppZztbPo> page, AssetAuditPageRequest as) {
        return baseMapper.getAuditList(page,as);
    }
}
